Subject: Re: bug#56561: 29.0.50; Infloop in try_window

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Jul 2022 18:56:51 +0300

> Cc: [email-masked], [email-masked]
> Date: Fri, 15 Jul 2022 18:37:50 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> On third thought, why do we even call try_window there?  The original
> code needed try_window because it then used the glyph matrix it
> produces to calculate the size of the tooltip.  But we've dumped that
> code, and we nowadays use window-text-pixel-size instead, which
> emulates the display internally anyway.  So I think we should simply
> delete the call to try_window from x-show-tip, and be done.  At least
> on master.

No, that's wrong: we call update_single_window there, and that
requires a window with a desired matrix set up correctly.  So yes, the
call to try_window is still needed.